GuidesRecipesAPI ReferenceChangelog
Log In
API Reference

Returns group information for all Mobile Device and Computer groups

Returns group information for all Mobile Device and Computer groups. The type of groups returned will be dependent upon the corresponding group type READ privileges. Results can be sorted by name, description, group type, or isSmart. Default sorting is by group name in ascending order.

Query Params
integer
Defaults to 0
integer
Defaults to 100
sort
array of strings
Defaults to groupName:asc

Sorting criteria in the format: property:asc/desc. Default sort is groupName:asc. Multiple sort criteria are supported and must be separated with a comma. Fields allowed in sorting: groupName, groupDescription, groupType, isSmart. Example: sort=groupName:asc,groupType:desc

sort
string

Query in the RSQL format, allowing to filter group collection. Default filter is empty query - returning all results for the requested page. Fields allowed in the query: groupName, groupDescription, groupType, isSmart. This param can be combined with paging and sorting. When using groupType in the filter, the value must be either "MOBILE" or "COMPUTER" but not both. When using groupType in the filter, the value is case sensitive. When using groupType in the filter, it will exclude groups of the other type regardless of or/and conditionals. Example: filter=groupName=="Managed" and isSmart=="true" Example: filter=groupType=="COMPUTER" and groupDescription=="Admin"

Response

Language
Credentials
Response
Choose an example:
application/json